# network_client.h File Reference

Client part of the network protocol. More...

`#include "network_internal.h"`

Go to the source code of this file.

## Functions

| DEF_CLIENT_SEND_COMMAND (PACKET_CLIENT_GAME_INFO)
| DEF_CLIENT_SEND_COMMAND (PACKET_CLIENT_COMPANY_INFO)
DEF_CLIENT_SEND_COMMAND_PARAM() | PACKET_CLIENT_COMMAND (const CommandPacket *cp)
DEF_CLIENT_SEND_COMMAND_PARAM() | PACKET_CLIENT_ERROR (NetworkErrorCode errorno)
DEF_CLIENT_SEND_COMMAND_PARAM() | PACKET_CLIENT_QUIT ()
DEF_CLIENT_SEND_COMMAND_PARAM() | PACKET_CLIENT_CHAT (NetworkAction action, DestType desttype, int dest, const char *msg, int64 data)
DEF_CLIENT_SEND_COMMAND_PARAM() | PACKET_CLIENT_PASSWORD (NetworkPasswordType type, const char *password)
DEF_CLIENT_SEND_COMMAND_PARAM() | PACKET_CLIENT_SET_PASSWORD (const char *password)
DEF_CLIENT_SEND_COMMAND_PARAM() | PACKET_CLIENT_SET_NAME (const char *name)
| DEF_CLIENT_SEND_COMMAND (PACKET_CLIENT_ACK)
DEF_CLIENT_SEND_COMMAND_PARAM() | PACKET_CLIENT_RCON (const char *pass, const char *command)
DEF_CLIENT_SEND_COMMAND_PARAM() | PACKET_CLIENT_MOVE (CompanyID company, const char *pass)
NetworkRecvStatus | NetworkClient_ReadPackets (NetworkClientSocket *cs)
void | NetworkClient_Connected ()

## Variables

CompanyID | _network_join_as
| Who would we like to join as.
const char * | _network_join_server_password
| Login password from -p argument.
const char * | _network_join_company_password
| Company password from -P argument.

## Detailed Description

Client part of the network protocol.

Definition in file network_client.h.

## Variable Documentation

CompanyID _network_join_as

Who would we like to join as.

Definition at line 53 of file network_client.cpp.